/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "entity.h"

#define OVERWORLD_ENTITY_COUNT_MAX 32

typedef struct {
  entity_t entities[OVERWORLD_ENTITY_COUNT_MAX];
  uint8_t entityCount;
} overworld_t;

extern overworld_t overworld;

void overworldInit();
void overworldSceneInit();
void overworldSceneDeinit();
void overworldUpdate();