/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "overworld.h"

overworld_t OVERWORLD;

void overworldInit() {
  memset(&OVERWORLD, 0, sizeof(overworld_t));

  // Test
  entityInit(OVERWORLD.entities + OVERWORLD.entityCount++, ENTITY_TYPE_PLAYER);
}

void overworldSceneInit() {

}

void overworldSceneDeinit() {

}

void overworldUpdate() {
  uint8_t i = 0;
  while(i < OVERWORLD.entityCount) {
    entityUpdate(OVERWORLD.entities + i++);
  }
}